List All Analyses
curl --request GET \
--url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/analyses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/analyses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/search/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"internal_id": "<string>",
"website": "<string>",
"brand": "<string>",
"sources": [],
"devices": [],
"country": "<string>",
"language": "<string>",
"num_keywords": 123,
"num_thematics": 123,
"num_topics": 123,
"query_fanouts_enabled": true,
"shopping_enabled": true,
"category": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"brand_official_name": "<string>",
"collect": {
"id": "<string>",
"progress": 123,
"date": "2023-11-07T05:31:56Z"
},
"created_by": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Projects
List All Analyses
Paginated list of all analyses (projects) for a workspace. Use this endpoint to discover available analysis IDs for use with other endpoints. pagination.total is the total number of analyses across all pages.
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
search
/
analyses
List All Analyses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Was this page helpful?
⌘I